// @HEADER
// *****************************************************************************
//           Panzer: A partial differential equation assembly
//       engine for strongly coupled complex multiphysics systems
//
// Copyright 2011 NTESS and the Panzer contributors.
// SPDX-License-Identifier: BSD-3-Clause
// *****************************************************************************
// @HEADER

#ifndef PANZER_DOXYGEN_DOCUMENTATION_HPP
#define PANZER_DOXYGEN_DOCUMENTATION_HPP

/*!

\mainpage

\section main_index Index

- \ref overview
- \ref news
- \ref todo
- \ref user_guide
- \ref faq
- \ref bugs
- \ref history
- \ref authors
- \ref copyright
- \ref questions

\section overview Overview

Panzer is a toolkit that provides a multiphysics assembly engine for solving large-scale systems of partial differential equations.  

NOTE: Panzer is a work in progress and is considered research stable code.  Do not expect backwards-compatible support.  External support is minimal at this point.  Use at your own risk.

\section news News

<ul>
<li> 2012.08.24: We are now integrated into the Trilinos repository!
<li> 2010.09.08: We are now building as a Trilinos package!
</ul>

\section bugs Reporting Bugs and Making Enhancement Requests

  To reports bugs or make enhancement requests, visit the <A HREF="http://software.sandia.gov/bugzilla/">Trilinos Bugzilla (Bug Tracking) Database</A>, and use the following instructions.
      <UL>
      <LI>Click on "Enter a new bug report"
      <LI>Choose "Panzer"
      <LI>Either login or create a new account
      <LI>Submit your bug report
      </UL>

\section history History



\section authors Authors and Contributors

  - Eric Cyr, SNL 01437
  - Roger Pawlowski, SNL 01414

\section copyright Copyright

\verbinclude copyright.txt

\section questions For All Questions and Comments...
  
   Please contact Roger Pawlowski (rppawlo@sandia.gov).

*/

/* ************************************************************************ */
/* ************************************************************************ */

/*! \page user_guide Users Guide

\section user_guide_index Index

- \ref user_guide_getting_started
- \ref questions

\section user_guide_getting_started Getting Started

*/

/* ************************************************************************ */
/* ************************************************************************ */

/*! \page todo ToDo List

Short Term:
<ul>
<li> ???
</ul>

Long Term:
<ul>
<li> ???
<li>
</ul>

*/

/* ************************************************************************ */
/* ************************************************************************ */

/*! \page faq Frequently Asked Questions

\section Questions
\ref faq1

\ref faq2

\section faq1 1. Why name the code Panzer?  
The Panzer library is a fast and flexible assembly engine for solving partial differential equations.  Following the engine idea, it was named after a fast machine - the German Panzer tank from World War II.  The tank spearheded Blitzkrieg maneuvers during World War II.  Along these lines, Panzer is meant for rapid prototyping of new discretiations.

\section faq2 2. Put your question here?
Answer your question here.

*/

/* ************************************************************************ */
/* ************************************************************************ */

#endif
